=== debian/changelog ===
qca2 (2.3.5-2) unstable; urgency=medium

  * Backport upstream commit 714073747c4a3ccff7a8c85c72872bdf6bd3db4a to disable
    one test that fails with OpenSSL 3.0.8; patch
    upstream_Remove-test-that-openssl-has-decided-it-s-wrong.patch.
    (Closes: #1031438)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Feb 2023 17:05:23 +0100

qca2 (2.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.1, no changes needed.
  * CI: enable again the blhc job.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Update the patches:
    - define_qca_export.diff: drop, fixed upstream
    - pipeunittest_more_wait.diff: refresh
  * Factorize the common cmake arguments for different Qt versions in a single
    variable.
  * Explicitly disable all the plugins which we currently do not want to build;
    this way, having the dependencies for them installed will not cause a build
    failure due to unhandled files (Closes: #1019464)
    - pass to cmake: -DWITH_botan_PLUGIN=NO -DWITH_gcrypt_PLUGIN=NO
      -DWITH_nss_PLUGIN=NO -DWITH_pkcs11_PLUGIN=NO
  * Backport upstream commit 33a35a699928318032f62eab0e39e263c604ad9e to fix
    a crash in hashunittest; patch
    upstream_hashunittest-run-sha384longtest-only-for-providers-t.patch.
  * Update lintian overrides.
  * Export QT_PLUGIN_PATH with the build location of the plugin when running
    dh_auto_test: this way, the unit tests can use the plugins.
  * Add the gnupg test-only build dependency, needed for the tests of the gnupg
    plugin.
  * Disable pgpunittest for now, as some tests fail in build-like environments;
    patch disable_pgpunittest.diff.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Oct 2022 16:37:05 +0200
