=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

COMMON_CMAKE_ARGS = -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DWITH_botan_PLUGIN=NO -DWITH_gcrypt_PLUGIN=NO -DWITH_nss_PLUGIN=NO -DWITH_pkcs11_PLUGIN=NO

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	QT_SELECT=qt5 dh_auto_configure --builddirectory=build -- \
	    $(COMMON_CMAKE_ARGS) \
	    -DQT5_BUILD=ON \
	    -DQCA_FEATURE_INSTALL_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/features"

override_dh_auto_build-arch:
	dh_auto_build --builddirectory=build

override_dh_auto_build-indep:
	dh_auto_build --builddirectory=build -- doc
	find build/apidocs/html -name '*.md5' -delete

override_dh_auto_install-indep:

override_dh_auto_test-arch:
	QT_PLUGIN_PATH=$(CURDIR)/build/lib/qca-qt5/ dh_auto_test -a

override_dh_auto_test-indep:

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a
