## qca2 2.3.7

=== debian/changelog ===
qca2 (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in plugins recommend in libqca-qt6-2.
  * Fix qt6 path in QCA_FEATURE_INSTALL_DIR for the Qt 6 build (although it is
    not actually used).
  * Update symbols files from the logs of buildds.
  * Add openssl as build dependency for the tests, so we get the default openssl
    configuration.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jul 2023 06:38:14 +0200

qca2 (2.3.6-4) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jul 2023 22:54:34 +0200

qca2 (2.3.6-3) experimental; urgency=medium

  * General changes to the ciphertest autopkgtest source:
    - generalize it a bit w.r.t. the Qt version to use
    - drop leftovers of Qt 4 support
  * Build Qt 6 library, plugins, and tools:
    - add the qt6-base-dev, and qt6-5compat-dev build dependencies
    - add new configure, build, and test steps for a separate Qt 6 variant
    - add new libqca-qt6-2, libqca-qt6-plugins, qca-qt6-utils, and
      libqca-qt6-dev binary packages
    - extend to also support Qt 6, and add a ciphertest-qt6 autopkgtest
  * Tweak the descriptions of all the Qt 5 & Qt 6 packages to mention the Qt
    version.
  * Drop old qca-dev conflict in libqca-qt5-2-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jul 2023 10:05:57 +0200

qca2 (2.3.6-2) unstable; urgency=medium

  * ciphertest-qt5 autopkgtest: call bump the cmake_minimum_required() to 3.13.
    (Closes: #1040732)

 -- Pino Toscano <pino@debian.org>  Thu, 13 Jul 2023 09:03:09 +0200

qca2 (2.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_hashunittest-run-sha384longtest-only-for-providers-t.patch: drop,
      backported from upstream
    - upstream_Remove-test-that-openssl-has-decided-it-s-wrong.patch: drop,
      backported from upstream
  * ciphertest-qt5 autopkgtest: call cmake_minimum_required() before project()
    in the CMakeLists.txt. (Closes: #1036845)

 -- Pino Toscano <pino@debian.org>  Mon, 12 Jun 2023 00:01:15 +0200
