## qca2 2.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(QCA_LIB_MAJOR_VERSION "2")
 set(QCA_LIB_MINOR_VERSION "3")
-set(QCA_LIB_PATCH_VERSION "5")
+set(QCA_LIB_PATCH_VERSION "8")
 
 if(POLICY CMP0042)
   cmake_policy(SET CMP0042 OLD)
@@ -63,7 +63,6 @@
 
 include(QcaMacro)
 include(GNUInstallDirs)
-setup_qt_dirs()
 if(BUILD_WITH_QT6)
   set(QCA_QT_PC_VERSION "Qt6Core")
   set(QCA_SUFFIX "qt6")
@@ -174,6 +173,7 @@
 set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib" )
 
 if( QCA_INSTALL_IN_QT_PREFIX )
+  setup_qt_dirs()
   set(QCA_PREFIX_INSTALL_DIR "${QT_PREFIX_DIR}" CACHE PATH "Directory where qca will install")
   set(QCA_PLUGINS_INSTALL_DIR "${QT_PLUGINS_DIR}" CACHE PATH "Directory where qca plugins will install")
   set(QCA_BINARY_INSTALL_DIR "${QT_BINARY_DIR}" CACHE PATH "Directory where qca plugins will install")
