=== debian/changelog ===
qca2 (2.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Small updates to copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 25 Jun 2024 05:56:44 +0200
