=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qca2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: ca-certificates,
                cmake (>= 3.16~),
@@ -11,7 +10,7 @@
                libsasl2-dev,
                libssl-dev (>= 1.1.1~),
                openssl <!nocheck>,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.14.0~),
                qt6-base-dev,
@@ -19,7 +18,7 @@
 Build-Depends-Indep: doxygen,
                      graphviz,
 Build-Conflicts: libqca2-dev, qca-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/QCA
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qca2.git
